SDL_LogOutputFunction(3type)

NAME
SDL_LogOutputFunction - The prototype for the log output callback function.

HEADER FILE
Defined in SDL3/SDL_log.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void (SDLCALL *SDL_LogOutputFunction)(void *userdata, int category, SDL_LogPriority priority, const char *message);

DESCRIPTION
This function is called by SDL when there is new text to be logged.

FUNCTION PARAMETERS

userdata
    what was passed as userdata to SDL_SetLogOutputFunction ()

category
    the category of the message

priority
    the priority of the message

message
    the message being output

AVAILABILITY
This datatype is available since SDL 3.0.0.